@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Readex Pro';
    font-style: normal;
    scroll-behavior: smooth;
}
a{
    cursor: pointer;
}
button a {
    color: #000000;
    text-decoration: none;
}

header {
    width: 100%;
}
a{
    text-decoration: none;
}
.container {
    width: 1300px;
    margin: 0 auto;
}

header .container {
    margin: 31px auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header h1,
footer h2 {
    font-family: 'Dancing Script', cursive;
    letter-spacing: 5px;
    font-weight: 900;
}

.swiper {
    width: 100%;
    height: 100%;
    border-radius: 32px !important;
}

header .hd-middle {
    display: flex;
    gap: 33px;
}

.hd-right {
    width: 130px;
    display: flex;
    justify-content: end;
}

header .hd-middle a {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    text-decoration: none;
    /* identical to box height, or 120% */

    text-transform: uppercase;

    color: #000000;
}

header img {
    width: 35px;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    height: 200px;
    background: #DCE5E2 !important;
    border-radius: 32px !important;

    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.swiper-button-next,
.swiper-button-prev {
    color: rgb(255, 255, 255) !important;
}
.swiper-slide {
    display: flex;
    align-items: center;
    gap: 10px;
    height: auto;
}

.swiper-slide .left {
    width: 40%;
    text-align: left;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.swiper-slide .left p {
    font-weight: 400;
    font-size: 58px;
    line-height: 70px;
    /* or 120% */


    color: #000000;
}

.swiper-slide .left span {
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    /* or 120% */


    color: #000000;
}

.swiper-slide:nth-child(1) {
    background-color: none !important;
}

.swiper-slide .right {
    width: 50%;
}
.swiper-slide video {
    width: 100%;
}
.swiper-vd{
    width: fit-content !important;
    height: 500px;
}
.swiper-slide img {
    width: 100%;
    
}

.swiper-slide .left button {
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    /* identical to box height, or 120% */

    text-transform: capitalize;

    color: #000000;
    height: 50px;
    width: 170px;

    border: 1px solid #000000;
    border-radius: 200px;
    background-color: #00000000;
}

.header-text p {
    font-weight: 400;
    font-size: 30px;
    /* identical to box height, or 125% */

    text-align: center;

    color: #000000;
}

.header-text {
    width: 600px;
    text-align: center;
    margin: 40px auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.header-text span {
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    /* or 120% */

    text-align: center;

    color: #000000;
}

.categories .item {
    background: #FFFFFF;
    border-radius: 32px;
    overflow: hidden;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    /* or 120% */

    text-align: right;

    color: #000000;
    position: relative;
    -webkit-box-shadow: 0px 5px 10px 2px rgba(34, 60, 80, 0.2);
}

nav.categories {
    display: flex;
    gap: 15px;
    height: 800px;
}

nav.categories .left {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.categories .apple {
    height: 60%;
}

.categories .left .apple img {
    width: 450px;
    position: relative;
    top: -40px;
    left: -150px !important;
}

.categories .apple .img {
    height: 80%;
    overflow: hidden;
}

.categories .apple p {
    position: relative;
    height: 20%;
    right: 20px;
    bottom: -30px !important;
}

.categories .redmi {
    height: 40%;
}

.categories .redmi img {
    transform: rotate(30deg);
}

.categories .redmi .img {
    position: relative;
    top: -20px;
    width: 440px;
    overflow: hidden;
}

.categories .redmi p {
    position: absolute;
    right: 20px;
    bottom: 50px;
}
.head-cat .item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}
.swiper-slide video {
    width: 100%;
    
    border-radius: 32px;
}
.categories .right {
    width: 50%;
    gap: 15px;
    display: flex;
}

.categories .right .item {
    width: 50%;
}

.categories .item:hover::after {
    transform: scaleX(1);
}

.categories .item:hover button {
    scale: 1;
}

.categories .samsung img {
    left: -316px;
    top: 95px;
    position: relative;
    transform: rotate(90deg);
}

.categories .samsung p {
    position: absolute;
    right: 25px;
    bottom: 20px;
}

.categories .honor img {
    width: 1107px;
    position: relative;
    left: -103%;
    transform: rotate(-50deg);
    top: 72px;
}

.categories .honor p {
    position: absolute;
    left: 30px;
    bottom: 60px;
}

.accessories {
    display: flex;
    gap: 30px;
}

.accessories .item {
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding: 60px 80px;
    background: #F8F9FA;
    border-radius: 16px;
}

.categories .item::after {
    transform: scaleX(0);
    transform-origin: bottom right;
    content: " ";
    display: block;
    position: absolute;
    top: 0 !important;
    right: 0 !important;
    bottom: 0 !important;
    left: 0 !important;
    inset: 0 0 0 0;
    background: rgba(0, 0, 0, 0.409);
    z-index: 1;
    transition: transform 0.3s ease;
}

.categories .item button {
    background-color: #FFFFFF !important;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 4;
    scale: 0;
    transition: 1s;
}

.accessories .item p {
    font-weight: 400;
    font-size: 28px;
    line-height: 35px;
    /* identical to box height, or 125% */

    text-align: center;

    color: #000000;
}

.accessories .item button,
.categories .item button {
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    padding: 14px 63px;
    /* identical to box height, or 120% */

    text-align: center;
    text-transform: capitalize;
    background-color: #00000000;
    color: #000000;
    border: 1px solid #000000;
    border-radius: 200px;
}

.accessories .img {
    width: 260px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.accessories img {
    height: 200px;
}

.about p {
    margin-top: 60px;
    font-size: 40px;
    font-weight: 900;
}

.about span {
    font-size: 20px;
    font-weight: 400;
}

.gift {
    width: 900px !important;
    padding: 100px 50px;
    background: #DCE5E2;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: center;
}

.gift img {
    width: 233px;
}

.consult {
    display: flex;
}

.accessories .item img,
button,
.accessories .item {
transition: .5s !important;
}

.accessories .item:hover img,
.accessories .item:hover button{
    scale: 1.1;
}

.accessories .item:hover,
button:hover {
    -webkit-box-shadow: 0px 5px 10px 2px rgba(34, 60, 80, 0.2);
}

.consult .left {
    background: #DCE5E2;
    border: 1px solid #000000;
    border-radius: 54px 0px 0px 54px;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    width: 250px;
    height: 50px;
    padding: 16px auto;
    padding-left: 20px;
    line-height: 17px;
    /* identical to box height, or 120% */

    text-align: left;

    color: #000000;
    display: flex;
    align-items: center;
}

.consult a {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 115px;
    background: #000000;
    border-radius: 0px 200px 200px 0px;
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    /* identical to box height, or 120% */

    text-align: center;

    color: #FFFFFF;
    text-decoration: none;
}

footer {
    display: flex;
    flex-direction: column;
    border-top: #DCE5E2 1px solid;
    background: #F8F9FA;
    border-radius: 0px;
    padding-top: 40px;
}

footer .top {
    display: flex;
    justify-content: space-between;
}

footer .right {
    width: 70%;
    display: flex;
    justify-content: space-between;
    gap: 0px;
}

footer .links {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

footer .links a {
    text-decoration: none;
    font-weight: 400;
    font-size: 17px;
    line-height: 22px;
    /* identical to box height, or 127% */


    color: #000000;

}

footer .head-a {
    font-weight: 400 !important;
    font-size: 22px !important;
    line-height: 28px !important;
    /* identical to box height, or 125% */


    color: #000000;
}

footer .bottom {
    padding: 50px;
    margin-top: 20px;
    border-top: #DCE5E2 solid 1px;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    /* identical to box height, or 120% */


    color: #000000;
}

footer .bottom a {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    /* identical to box height, or 120% */


    color: #000000;
}

.head-cat {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.head-cat .item {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.catalog .item{
    cursor: pointer;
    transition: 0.5s;
}
.catalog .item:hover{
    scale: 1.1;
}
.catalog img{
    transition: 0.5s;
}
.catalog {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /* display: flex;
    justify-content: center; */

    font-family: "Gilroy";
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 29px;
    gap: 20px;
    margin-bottom: 60px;

    color: #000000;
}

.catalog img {
    width: 350px;
    height: 350px;
    object-fit: cover;
}

.catalog .img-block {
    background-color: rgb(255, 255, 255);
    border-radius: 10px;
    overflow: hidden;
    -webkit-box-shadow: 0px 5px 10px 2px rgba(34, 60, 80, 0.2);
}

.head-cat h2 {
    font-family: "Gilroy";
    font-style: normal;
    font-weight: 400;
    font-size: 44px;
    line-height: 43px;
    text-align: center;
    margin-bottom: 20px;

    color: #000000;
}

.container-two {
    width: 1000px;
    margin: 0 auto;
}

.modal {
    z-index: 100;
    top: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.473);
    display: none;
    align-items: center;
    justify-content: center;
}

.modal .container {
    max-width: 80%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgb(242, 242, 242);

    padding: 30px;
    border-radius: 40px;
}

.modal .item {
    display: flex;
    gap: 30px;
}

.modal .all {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.modal #img {
    width: 480px;
    height: 480px;
    object-fit: contain;
}

.modal .all h2 {
    font-size: 48px;
    color: #000;
}

.modal h3 {
    font-weight: 700;
    font-size: 24px;
    line-height: 45px;
    /* identical to box height */
    white-space: wrap !important;

    color: #000000;
}

.modal .description p {
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: -0.03em;
    opacity: 0.5;
    color: #000000;
    white-space: wrap;
}

.sd {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.sd span {
    text-align: center;
    border: 1px solid #000000;
    color: #000000;
    padding: 10px 70px;
    border-radius: 10px;
}

.modal .colors {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

.modal .colors .dot {
    width: 130px;
    height: 80px;
    position: relative;
    border: rgb(0, 0, 0) solid 1px;
    border-radius: 10px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    padding-bottom: 10px;
    font-size: 16px;
    font-weight: 900;
    text-transform: capitalize;
    transition: 0.5s ease;
    cursor: pointer;
}

.modal .colors .bot {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 130px;
    height: 80px;
    position: relative;
    border: rgb(0, 0, 0) solid 1px;
    border-radius: 10px;
    font-size: 16px;
    font-weight: 900;
    cursor: pointer;
    text-transform: capitalize;
    transition: 0.5s ease;
}

.modal .colors span {
    text-align: center;
}

.dot_active {
    box-shadow: 0px 0px 7px 3px rgba(0, 41, 255, 1);
}

.modal .colors .dot::after {
    content: "";
    width: 30px;
    height: 30px;
    text-align: center;
    border-radius: 50%;
    background-color: rgb(0, 0, 0);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -90%);
}

.modal button {
    padding: 10px 50px;
    border-radius: 10px;
    font-weight: 700;
    font-size: 16px;
    border: #000 solid 1px;
}

.modal_active {
    display: flex !important;
}

.modal .colors #white::after {
    background-color: rgb(255, 255, 255) !important;
    border: #000 solid 0.5px !important;
}

.modal .colors .green::after {
    background-color: rgb(21, 139, 84) !important;
}

.modal .colors .blue::after {
    background-color: rgb(19, 16, 194) !important;
}

.modal .colors .orange::after {
    background-color: rgb(255, 146, 4) !important;
}

.modal .colors .gold::after {
    background-color: rgb(238, 165, 69) !important;
}

.modal .colors .purple::after {
    background-color: rgb(146, 4, 255) !important;
}

.modal .colors .red::after {
    background-color: rgb(255, 4, 4) !important;
}


.modal .x {
    position: absolute;
    top: 20px;
    right: 20px;
}

.hide {
    display: none !important;
}

.modal .item img {
    border-radius: 15px;
    -webkit-box-shadow: 0px 5px 10px 2px rgba(34, 60, 80, 0.2);
}